enum Colour {
    None,
    Black,
    Red,
    Green,
    Yellow,
    Blue,
    Magenta,
    Cyan,
    White,
}

enum Modifier {
    None,
    Bright
}

struct Cell {
    char: u8,
    colour: Option<Colour>,
    modifier: Modifier,
    changed: bool,
}

impl Default for Cell {
    fn default() -> Cell {
        Cell {
            char: b' ',
            colour: None,
            modifier: Modifier::None,
            changed: true,
        }
    }
}

impl Cell {
    pub fn new(char: u8) -> Self {
        Self {
            char,
            .. Default::default()
        }
    }
}

pub struct framebuffer {

}
