use std::io;

pub fn would_block(err: &io::Error) -> bool {
    err.kind() == io::ErrorKind::WouldBlock
}

pub fn interrupted(err: &io::Error) -> bool {
    err.kind() == io::ErrorKind::Interrupted
}

pub fn trim_crlf(s: &mut String) {
    let len = s.trim_end_matches(&['\r', '\n'][..]).len();
    s.truncate(len);
}
