#[derive(Debug)]
pub struct LoginState {
    name: Option<String>,
    password: Option<String>,
}

impl LoginState {
    pub fn new() -> Self {
        Self {
            name: None,
            password: None,
        }
    }
}

#[derive(Debug)]
pub enum State {
    Connected,
    Banner,
    Login(LoginState),
    Landing,
    Messages,
    OneLiners,
}
