use std::io;

use crate::theme::Theme;

pub struct System {
    pub theme: Theme,
}

impl System {
    pub fn new(t: &str) -> io::Result<Self> {
        Ok(Self {
            theme: Theme::new(t)?
        })
    }
}
